#!/bin/bash
#
# userful-welcome.sh
#
# Copyright (c) 2005-2012 Userful Corporation. All rights reserved.
#
PATH_CONF=/etc/userful/path.conf
source $PATH_CONF

logfile="/var/log/userful-welcome.log"
DEVFS="/dev/usb2vga"
SYSFS="/sys"

is_enabled_file="${userful_etc}/enabled_resources.conf"
if [ ! -e $is_enabled_file ]; then
	echo "is disabled -> exit" >> $logfile
	exit 0
fi

is_started_file="${userful_run_dir}/starting.flag"
if [ -e $is_started_file ]; then
	echo "is started -> exit" >> $logfile
	exit 0
fi
is_started_file="${userful_run_dir}/started.flag"
if [ -e $is_started_file ]; then
	echo "is started -> exit" >> $logfile
	exit 0
fi
echo "proceeed" >> $logfile

ACTION=$1
DEVTYPE=$2
# dl 
DEVPATH=$3
# mct
BUS=$3
ID=$4

##
## Get USBPATH
PREFIX=${DEVPATH%-*}
PORT=${DEVPATH#$PREFIX-}
PORT=${PORT%:*}

PREFIX=${DEVPATH%/usb*}
USBNAME=${PREFIX##/*/}

if [ "$USBNAME" == "platform/nhci-hcd-1.1" ]; then
     USBPATH="usb-$USBNAME"
else
     USBPATH="usb-$USBNAME-$PORT"
fi


echo "USBVGA $DEVPATH" >> $logfile
echo "USBVGA $USBPATH" >> $logfile
echo "ACTION $ACTION" >> $logfile
echo "BUS $BUS" >> $logfile
echo "DEVICE $ID" >> $logfile
echo "DEVTYPE $DEVTYPE" >> $logfile
echo "PORT $PORT" >> $logfile

IMAGE_DISPLAY="$bin_dir/${DEVTYPE}_put_image"
IMAGE_BUNDLE="$image_dir/ums-images.bundle"

echo $IMAGE_DISPLAY >>$logfile
echo $IMAGE_BUNDLE >>$logfile

if [ "$ACTION" == "add" ]; then
    # killall dl_put_image	
    # killall mct_put_image
    if [ "$DEVTYPE" == "dl" ]; then
	$IMAGE_DISPLAY $USBPATH $IMAGE_BUNDLE startup >> $logfile &
    elif [ "$DEVTYPE" == "mct" ]; then
 	$IMAGE_DISPLAY $BUS $ID $IMAGE_BUNDLE startup >> $logfile &
    fi
elif [ "$ACTION" == "remove" ]; then
    echo "REMOVE" >> $logfile
else
    echo "Invalid ACTION: $ACTION" >> $logfile
fi

