#!/bin/bash

# Copyright (c) 2005-2012 Userful Corporation. All rights reserved.
# http://www.userful.com/
#

PATH_CONF=/etc/userful/path.conf
source $PATH_CONF

SETUP_WIZARD_COMPLETED_FILE=${userful_dir}/setup_wizard_completed
USERFUL_FRONTEND=$sbin_dir/userful-frontend

export PATH=$PATH:.:/usr/share/userful/bin

# pkexec doesn't pass in DISPLAY variable
export DISPLAY=$1

if [[ ! -e  $SETUP_WIZARD_COMPLETED_FILE ]]; then
    echo Setup Wizard not yet completed... 
    # $sbin_dir/userful-message-display SetupWizardNotCompleted &

    $sbin_dir/userful-setup-wizard

    if [[ ! -e $SETUP_WIZARD_COMPLETED_FILE ]]; then
	echo "You must complete the Userful MultiSeat Setup Wizard before running this software."
	exit 1
    fi
fi

# Start webserver and frontend proxy
$USERFUL_FRONTEND --start || { echo "Frontend start script returns error: " $? ; exit $? ; }

# Get a control center auth id
# and discover which station is being used
SESSION_INFO=`$sbin_dir/userful-get-control-center-session $DISPLAY`

if [ $? != 0 ] ; then
    echo "Get session ID script returns error: " $?
        # $sbin_dir/userful-message-display ControlCenterCantGetRootAccess
    exit 1
fi

# Echo session details up to parent script
echo $SESSION_INFO

exit 0
